Bug 1419521 - rear miss grub2-efi-modules dependency: fails mkrescue with Error occurred during grub2-mkimage of BOOTX64.efi
Summary: rear miss grub2-efi-modules dependency: fails mkrescue with Error occurred du...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rear
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gratien D'haese
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 12:09 UTC by Andrea Perotti
Modified: 2019-01-04 13:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:29:03 UTC
Type: Bug


Attachments (Terms of Use)
rear patch with grub2-efi-modules dependency (241 bytes, patch)
2017-02-06 12:09 UTC, Andrea Perotti
no flags Details | Diff

Description Andrea Perotti 2017-02-06 12:09:19 UTC
Created attachment 1248017 [details]
rear patch with grub2-efi-modules dependency

Description of problem:

When running 
/usr/sbin/rear mkrescue

On a EFI system

it fails with error:

Error occurred during grub2-mkimage of BOOTX64.efi

[...]
2017-02-06 01:36:32 Including output/ISO/Linux-i386/250_populate_efibootimg.sh
grub2-mkimage: error: cannot open `/usr/lib/grub/x86_64-efi/moddep.lst': No such file or directory.
2017-02-06 01:36:32 ERROR: Error occurred during grub2-mkimage of BOOTX64.efi
==== Stack trace ====
Trace 0: /usr/sbin/rear:504 main
Trace 1: /usr/share/rear/lib/mkrescue-workflow.sh:22 WORKFLOW_mkrescue
Trace 2: /usr/share/rear/lib/framework-functions.sh:85 SourceStage
Trace 3: /usr/share/rear/lib/framework-functions.sh:45 Source
Trace 4: /usr/share/rear/output/ISO/Linux-i386/250_populate_efibootimg.sh:69 source
Trace 5: /usr/share/rear/lib/uefi-functions.sh:50 build_bootx86_efi
Trace 6: /usr/share/rear/lib/_input-output-functions.sh:132 StopIfError
Message: Error occurred during grub2-mkimage of BOOTX64.efi
== End stack trace ==

This is caused by the miss of /usr/lib/grub/x86_64-efi/moddep.lst , provided on Fedora by "grub2-efi-modules" package



Version-Release number of selected component (if applicable):
rear-2.00-1.fc25.x86_64
grub2-tools-1:2.02-0.38.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. install rear and mkisofs
2. /usr/sbin/rear mkrescue


Actual results:
rescue iso creation it fails
ERROR: Error occurred during grub2-mkimage of BOOTX64.efi


Expected results:
[...]
2017-02-06 01:57:30 Wrote ISO image: /var/lib/rear/output/rear-qube.iso (185M)
2017-02-06 01:57:30 Including output/ISO/Linux-i386/850_check_for_errors.sh
2017-02-06 01:57:30 Including output/default/940_grub2_rescue.sh
2017-02-06 01:57:30 Including output/default/940_grub_rescue.sh
2017-02-06 01:57:30 Including output/default/950_copy_result_files.sh
2017-02-06 01:57:30 Including output/default/950_email_result_files.sh
2017-02-06 01:57:30 Including output/default/970_remove_lock.sh
2017-02-06 01:57:30 Including output/default/980_umount_output_dir.sh
2017-02-06 01:57:30 Finished running 'output' stage in 2 seconds
2017-02-06 01:57:30 Finished running mkrescue workflow
2017-02-06 01:57:30 Running exit tasks.
2017-02-06 01:57:30 Finished in 42 seconds
2017-02-06 01:57:30 Removing build area /tmp/rear.aOEuwsfsxe9YZNP
2017-02-06 01:57:30 End of program reached

Comment 1 Gratien D'haese 2017-02-20 16:41:12 UTC
Related upstream story is https://github.com/rear/rear/issues/1193.
Using UEFI is not by default the standard boot mechanism, and therefore, we do not advise to add this rpm requirement to the rear spec file.
If needed a prep script can be added or enhanced to capture this short-coming. Your input is more then welcome - here and in the upstream story

Comment 2 Fedora End Of Life 2017-11-16 19:13:00 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:29:03 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Pavel Cahyna 2019-01-04 12:53:00 UTC
Hi Gratien, sorry, I noticed this bug only now.

(In reply to Gratien D'haese from comment #1)
> Related upstream story is https://github.com/rear/rear/issues/1193.
> Using UEFI is not by default the standard boot mechanism, and therefore, we
> do not advise to add this rpm requirement to the rear spec file.
> If needed a prep script can be added or enhanced to capture this
> short-coming. Your input is more then welcome - here and in the upstream
> story

See bz1492177 for an example how we "solved" the issue in RHEL and bz1512493 for the underlying problem.

Comment 5 Pavel Cahyna 2019-01-04 13:00:52 UTC
(In reply to Gratien D'haese from comment #1)
> Related upstream story is https://github.com/rear/rear/issues/1193.
> Using UEFI is not by default the standard boot mechanism, and therefore, we
> do not advise to add this rpm requirement to the rear spec file.

I agree, see bz1497918 for an example of an issue that may arise when depending on something that is not needed.


Note You need to log in before you can comment on or make changes to this bug.